package speiger.src.coreengine.rendering.shaderOld;

import java.util.List;
import java.util.function.Consumer;

public class ShaderEntry<T> implements Consumer<T>
{
	List<T> shaders;
	int index;
	
	public ShaderEntry(List<T> shaders, int index) {
		this.shaders = shaders;
		this.index = index;
	}
	
	@Override
	public void accept(T t) {
		shaders.set(index, t);
	}
	
}
